object rDBGridMS: TrDBGridMS
  Left = 365
  Top = 113
  BorderIcons = [biSystemMenu, biMaximize]
  Caption = 'Multiselect rDBGridMS'
  ClientHeight = 450
  ClientWidth = 822
  Color = clBtnFace
  Constraints.MinHeight = 400
  Constraints.MinWidth = 570
  DoubleBuffered = True
  Font.Charset = EASTEUROPE_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  OldCreateOrder = False
  ShowHint = True
  OnClose = FormClose
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object lblInfo: TrHTMLLabel
    Left = 0
    Top = 0
    Width = 822
    Height = 71
    Align = alTop
    Color = clInfoBk
    ParentColor = False
    Transparent = False
    CaptionStrings.Strings = (
      
        '<B>rDBGridMS provides enhanced multiselect functionality</B> to ' +
        'rDBGrid'
      
        '--> select any row by click to fixed column or optionally to any' +
        ' cell'
      
        '--> select range of rows by holding Shift or click to fixed colu' +
        'mn on title row to select all rows'
      '--> try popup menu of fixed column'
      '--> selectable color and font of selected rows')
    InnerSpace = 2
    ExplicitWidth = 451
  end
  object DBNavigator1: TDBNavigator
    Left = 0
    Top = 352
    Width = 822
    Height = 24
    DataSource = DMData.dsProducts
    Align = alBottom
    TabOrder = 0
  end
  object grMS: TrDBGrid_MS
    Left = 0
    Top = 71
    Width = 822
    Height = 281
    Align = alClient
    DataSource = DMData.dsProducts
    DrawingStyle = gdsGradient
    Options = [dgEditing, dgTitles, dgIndicator, dgColumnResize, dgColLines, dgRowLines, dgTabs, dgConfirmDelete, dgCancelOnExit, dgMultiSelect, dgTitleClick]
    TabOrder = 1
    TitleFont.Charset = EASTEUROPE_CHARSET
    TitleFont.Color = clWindowText
    TitleFont.Height = -11
    TitleFont.Name = 'Tahoma'
    TitleFont.Style = []
    OptionsEx2.Editors.TextAsMemoSize = 50
    ColorActiveRow = clNone
    SortFieldName = 'ProductName'
    Sorter = DMData.rDBGridSorter
    TextAsMemoSize = 50
    LookupCondition = lcNever
    TitleLines = 2
    TitleLineText.ParentFont = False
    TitleLineText.Font.Charset = DEFAULT_CHARSET
    TitleLineText.Font.Color = clWindowText
    TitleLineText.Font.Height = -11
    TitleLineText.Font.Name = 'MS Sans Serif'
    TitleLineText.Font.Style = []
    FixedColText.FixedColWidth = 32
    FixedColText.ShowCheckbox = True
    FieldsAsLink.Strings = (
      'LastName=user_defined')
    TitleImageList = Main.GridImg
    TitleImages.Strings = (
      'Email=3'
      'LastName=0'
      'Salary=9'
      'CustomerName=0'
      'Address=1'
      'Phone=8'
      'Priority=4'
      'WWW=10')
    DataImageList = Main.GridImg
    OnFilterChanged = grMSFilterChanged
    SelectedRowsBkColor = clOlive
    Columns = <
      item
        Expanded = False
        FieldName = 'ProductID'
        Title.Alignment = taRightJustify
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'ProductName'
        Width = 160
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'SupplierID'
        Title.Alignment = taRightJustify
        Visible = False
      end
      item
        Expanded = False
        FieldName = 'CategoryID'
        Title.Alignment = taRightJustify
        Visible = False
      end
      item
        Expanded = False
        FieldName = 'QuantityPerUnit'
        Width = 80
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'UnitPrice'
        Title.Alignment = taRightJustify
        Width = 80
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'UnitsInStock'
        Title.Alignment = taRightJustify
        Width = 70
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'UnitsOnOrder'
        Title.Alignment = taRightJustify
        Width = 66
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'ReorderLevel'
        Title.Alignment = taRightJustify
        Width = 69
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'Discontinued'
        Width = 73
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'StockLevel'
        Width = 59
        Visible = True
      end>
  end
  object gbOpt: TGroupBox
    Left = 0
    Top = 376
    Width = 822
    Height = 74
    Align = alBottom
    Caption = ' rDBGridMS Options: '
    TabOrder = 2
    object Label2: TLabel
      Left = 272
      Top = 44
      Width = 26
      Height = 13
      Caption = 'Font:'
    end
    object btSelectAll: TrURLLabel
      Left = 440
      Top = 16
      Width = 40
      Height = 13
      Cursor = crHandPoint
      Caption = 'SelectAll'
      ShowAccelChar = False
      OnClick = btSelectAllClick
    end
    object btDeselectAll: TrURLLabel
      Left = 440
      Top = 32
      Width = 52
      Height = 13
      Cursor = crHandPoint
      Caption = 'DeselectAll'
      ShowAccelChar = False
      OnClick = btDeselectAllClick
    end
    object btReverseSel: TrURLLabel
      Left = 440
      Top = 48
      Width = 85
      Height = 13
      Cursor = crHandPoint
      Caption = 'Reverse selection'
      ShowAccelChar = False
      OnClick = btReverseSelClick
    end
    object ch11: TCheckBox
      Left = 8
      Top = 21
      Width = 149
      Height = 17
      Caption = 'Select by click on any cell'
      TabOrder = 0
      OnClick = ch11Click
    end
    object ch12: TCheckBox
      Left = 8
      Top = 41
      Width = 177
      Height = 17
      Caption = 'Show checkbox in fixed column'
      Checked = True
      State = cbChecked
      TabOrder = 1
      OnClick = ch12Click
    end
    object ch21: TCheckBox
      Left = 184
      Top = 20
      Width = 129
      Height = 17
      Caption = 'Own selected color'
      TabOrder = 2
      OnClick = ch21Click
    end
    object clSelRowBk: TColorBox
      Left = 308
      Top = 16
      Width = 109
      Height = 22
      Selected = clOlive
      Style = [cbStandardColors, cbExtendedColors, cbSystemColors, cbCustomColor]
      TabOrder = 3
      OnChange = clSelRowBkChange
    end
    object clSelRowFont: TColorBox
      Left = 308
      Top = 40
      Width = 109
      Height = 22
      Selected = clWhite
      Style = [cbStandardColors, cbExtendedColors, cbSystemColors, cbCustomColor]
      TabOrder = 4
      OnChange = clSelRowBkChange
    end
    object btGetRecCount: TButton
      Left = 556
      Top = 12
      Width = 109
      Height = 25
      Caption = 'Get Selected count'
      TabOrder = 5
      OnClick = btGetRecCountClick
    end
    object btProcSelRec: TButton
      Left = 556
      Top = 40
      Width = 109
      Height = 25
      Caption = 'Proc All selected'
      TabOrder = 6
      OnClick = btProcSelRecClick
    end
  end
  object PropSaveMain1: TPropSaveMain
    PropSaveFile = Main.PSFile
    CtrlPosition.PropSaveMain = PropSaveMain1
    StdCtrl.PropSaveMain = PropSaveMain1
    Left = 60
    Top = 184
  end
  object rDBGridsPropSave1: TrDBGridsPropSave
    PropSaveMain = PropSaveMain1
    Components.Strings = (
      'grms')
    StoreColumnsProp = True
    Left = 88
    Top = 184
  end
end
