unit f_dbsorter_ado;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, ADODB, Grids, DBGrids, rDBGrid, rDBGrid_MS, rDBGridSorter_ADO;

type
  TMain = class(TForm)
    ADOCon: TADOConnection;
    qEmp: TADOQuery;
    qEmpEmployeeID: TAutoIncField;
    qEmpLastName: TWideStringField;
    qEmpFirstName: TWideStringField;
    qEmpTitle: TWideStringField;
    qEmpTitleOfCourtesy: TWideStringField;
    qEmpBirthDate: TDateTimeField;
    qEmpHireDate: TDateTimeField;
    qEmpPartTime: TBooleanField;
    qEmpAddress: TWideStringField;
    qEmpCity: TWideStringField;
    qEmpRegion: TWideStringField;
    qEmpPostalCode: TWideStringField;
    qEmpCountry: TWideStringField;
    qEmpHomePhone: TWideStringField;
    qEmpExtension: TWideStringField;
    qEmpPhoto: TBlobField;
    qEmpNotes: TWideMemoField;
    qEmpReportsTo: TIntegerField;
    qEmpSalary: TFloatField;
    dsEmp: TDataSource;
    rDBGrid_MS1: TrDBGrid_MS;
    rDBGridSorter_ADO1: TrDBGridSorter_ADO;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Main: TMain;

implementation

{$R *.dfm}

uses rstring, rtool, rdlg;

const
  DefaultDB = 'data\Nwind.mdb';
  ConStr = 'Provider=Microsoft.Jet.OLEDB.4.0;Data Source=';

procedure TMain.FormCreate(Sender: TObject);
begin
  ADOCon.Close;
  ADOCon.ConnectionString:=ConStr + GetAppPath + DefaultDB;
  try
    ADOCon.Open;
    qEmp.Open;
  except
    on E: exception do
      ShowErr(sError, E, true);
  end;
end;

end.
