unit dm_data;

interface

uses
  SysUtils, Classes, Dialogs, Forms, Controls,
  FIBDatabase, pFIBDatabase, rDBComponents_UDB, DB,
  FIBDataSet, pFIBDataSet;

type
  TDMData = class(TDataModule)
    Con1: TConnectionUDB;
    Trans1: TpFIBTransaction;
    qProducts: TQueryUDB;
    qProductsPRODUCTID: TFIBIntegerField;
    qProductsPRODUCTNAME: TFIBStringField;
    qProductsCATEGORYID: TFIBIntegerField;
    qProductsVALIDFROM: TFIBDateField;
    qProductsDISCONTINUED: TFIBSmallIntField;
    qProductsPRICE: TFIBFloatField;
    qProductsSTOCKLEVEL: TFIBStringField;
    qProductsPACKAGE: TFIBStringField;
    qProductsPICTURE: TFIBBlobField;
    qProductsMEMO: TFIBMemoField;
    qCfgFldLabels: TQueryUDB;
    qCfgFldLabelsFIELD_LABEL_ID: TFIBIntegerField;
    qCfgFldLabelsTABLE_NAME: TFIBStringField;
    qCfgFldLabelsFIELD_NAME: TFIBStringField;
    qCfgFldLabelsDISPLAY_LABEL_EN: TFIBStringField;
    qCfgFldLabelsDISPLAY_LABEL_CZ: TFIBStringField;
    qCfgFldLabelsREQUIRED: TFIBSmallIntField;
    qCfgFldLabelsDISPLAY_FORMAT: TFIBStringField;
    qCfgFldLabelsEDIT_FORMAT: TFIBStringField;
    qCfgFldLabelsAUTO_ADDED: TFIBSmallIntField;
  private
    u, p: string;
  public
    function TryConnect: boolean;
  end;

var
  DMData: TDMData;

implementation

{$R *.dfm}

uses rstring, rdlg, rtool, dm_auxdata, f_products, f_categoriesedit,
  f_stockleveledit;

function TDMData.TryConnect: boolean;
begin
  Result:=false;
  Con1.Close;
  Con1.DBName:=GetAppDir + 'DB\DEMO.FDB';
  Con1.DBParams.Clear;
  if not rdlg.InputStr(sInput, 'User:', u) then
    Exit;
  Con1.DBParams.Add('user_name=' + u);
  if not rdlg.InputStr(sInput, 'Pasword:', p) then
    Exit;
  Con1.DBParams.Add('password=' + p);
  Con1.Open;
  Result:=Con1.Connected;
end;

end.
