unit f_suppliersedit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DB, Grids, DBGrids, rDBGrid, rImprovedComps, rDBComponents,
  rDBComponents_UDB, rDBGrid_MS, PropSaveMain, PropSaveGrids;

type
  TSuppliersEdit = class(TForm)
    gbBottom: TrGroupBox;
    rDBMoveButton6: TrDBMoveButton;
    rDBMoveButton5: TrDBMoveButton;
    rDBMoveButton3: TrDBMoveButton;
    rDBMoveButton4: TrDBMoveButton;
    btBack: TrDBMoveButton;
    grSuppliers: TrDBGrid_MSUDB;
    PropSaveMain1: TPropSaveMain;
    rDBGridsPropSave1: TrDBGridsPropSave;
    rDBGridSorter_UDB1: TrDBGridSorter_UDB;
    procedure FormShow(Sender: TObject);
    procedure grSuppliersListDataSetEvent(DataSet: TDataSet; EventType: TDatasetEventType);
  private
    { Private declarations }
    NeedReload: boolean;
  public
    { Public declarations }
  end;

var
  SuppliersEdit: TSuppliersEdit;

function SelectSupplier: boolean;

implementation

{$R *.dfm}

uses rtool, rdlg, rstring, rdbtool, dm_data, dm_auxdata;

function SelectSupplier: boolean;
var
  ds: TDataSet;
begin
  CreateF(TSuppliersEdit, SuppliersEdit);
  ds:=SuppliersEdit.grSuppliers.ListDataSet;
  if not ds.Active then
    ds.Open;

  // select active record regarding ListBox
  SuppliersEdit.ShowModal;
  Result:=SuppliersEdit.NeedReload;
end;

procedure TSuppliersEdit.FormShow(Sender: TObject);
begin
  NeedReload:=false;
  // use rGroupBox proc to link all rDBMoveButtons to internal dataset
  AuxData.SetAllChildrenDataSource(gbBottom, self.grSuppliers.ListDataSource, 1);
end;

procedure TSuppliersEdit.grSuppliersListDataSetEvent(DataSet: TDataSet; EventType: TDatasetEventType);
begin
  case EventType of
    deAfterPost, deAfterDelete:
      NeedReload:=true;
    deBeforeDelete:
      if DlgQ(rstring.sDeleteQ) <> mrYes then
        Abort;
  end;
end;

end.
