unit f_imagezoom;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, jpeg, rImageZoom, rHTMLLabel;

type
  TImageZoomForm = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    btZoomIn: TBitBtn;
    btZoomOut: TBitBtn;
    btZoomFit: TBitBtn;
    btEdit: TBitBtn;
    ColorBox1: TColorBox;
    eBkText: TEdit;
    rImageZoom1: TrImageZoom;
    rHTMLLabel1: TrHTMLLabel;
    Button1: TButton;
    FontDlg: TFontDialog;
    lInfo: TLabel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    procedure ColorBox1Change(Sender: TObject);
    procedure eBkTextChange(Sender: TObject);
    procedure btZoomInClick(Sender: TObject);
    procedure btZoomOutClick(Sender: TObject);
    procedure btZoomFitClick(Sender: TObject);
    procedure btEditClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure rImageZoom1ChangeZoom(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ImageZoomForm: TImageZoomForm;

implementation

{$R *.dfm}
uses rImageEdit;

procedure TImageZoomForm.btEditClick(Sender: TObject);
begin
  rImageZoom1.ShowEditorWindow;
end;

procedure TImageZoomForm.btZoomFitClick(Sender: TObject);
begin
  rImageZoom1.Fit;
end;

procedure TImageZoomForm.btZoomInClick(Sender: TObject);
begin
  rImageZoom1.ZoomIn;
end;

procedure TImageZoomForm.btZoomOutClick(Sender: TObject);
begin
  rImageZoom1.ZoomOut;
end;

procedure TImageZoomForm.Button1Click(Sender: TObject);
begin
  FontDlg.Font.Assign(rImageZoom1.Font);
  if FontDlg.Execute then
    rImageZoom1.Font.Assign(FontDlg.Font);
end;

procedure TImageZoomForm.ColorBox1Change(Sender: TObject);
begin
  rImageZoom1.BackgroundColor:=ColorBox1.Selected;
end;

procedure TImageZoomForm.eBkTextChange(Sender: TObject);
begin
  rImageZoom1.BackgroundText:=eBkText.Text;
end;

procedure TImageZoomForm.rImageZoom1ChangeZoom(Sender: TObject);
begin
  lInfo.Caption:=rImageZoom1.PictureInfo;
end;

procedure TImageZoomForm.SpeedButton1Click(Sender: TObject);
begin
  rImageZoom1.CutImageToClipboard;
end;

procedure TImageZoomForm.SpeedButton2Click(Sender: TObject);
begin
  rImageZoom1.CopyImageToClipboard;
end;

procedure TImageZoomForm.SpeedButton3Click(Sender: TObject);
begin
  rImageZoom1.PasteImageFromClipboard;
end;

procedure TImageZoomForm.SpeedButton4Click(Sender: TObject);
begin
  rImageZoom1.LoadFromFile('');
end;

procedure TImageZoomForm.SpeedButton5Click(Sender: TObject);
begin
  rImageZoom1.SaveAsFile('');
end;

end.
