unit f_tabcontrolex;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, rImprovedComps, StdCtrls, rHTMLLabel, Menus, ImgList;

type
  TTabControlExForm = class(TForm)
    rHTMLLabel1: TrHTMLLabel;
    ImageList1: TImageList;
    PopupMenu1: TPopupMenu;
    popup11: TMenuItem;
    PopupMenu2: TPopupMenu;
    popu21: TMenuItem;
    rGroupBox1: TrGroupBox;
    rTabControlEx1: TrTabControlEx;
    rHTMLLabel2: TrHTMLLabel;
    rTabControlEx2: TrTabControlEx;
    rHTMLLabel3: TrHTMLLabel;
    rTabControlEx3: TrTabControlEx;
    rHTMLLabel4: TrHTMLLabel;
    rGroupBox2: TrGroupBox;
    rTabControlEx5: TrTabControlEx;
    rHTMLLabel6: TrHTMLLabel;
    rTabControlEx6: TrTabControlEx;
    rHTMLLabel7: TrHTMLLabel;
    rTabControlEx7: TrTabControlEx;
    rHTMLLabel8: TrHTMLLabel;
    rPageControlEx2: TrPageControlEx;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    rHTMLLabel9: TrHTMLLabel;
    rPageControlEx1: TrPageControlEx;
    TabSheet4: TTabSheet;
    TabSheet5: TTabSheet;
    TabSheet6: TTabSheet;
    rHTMLLabel5: TrHTMLLabel;
    procedure rTabControlEx1TabPropsExTabGetPopupMenu(Sender: TObject; TabIndex: Integer; var PopupMenu: TPopupMenu);
    procedure FormCreate(Sender: TObject);
    procedure rTabControlEx2RightButtonClick(Sender: TObject);
    procedure rTabControlEx1RightLabelAnchorClick(Sender: TObject; LinkName: string);
    procedure rTabControlEx5TabPropsExTabGetProps(Sender: TObject; TabIndex: Integer; Font: TFont; var BkColor: TColor; var CanClose: Boolean);
    procedure rPageControlEx1TabPropsExTabClose(Sender: TObject; TabIndex: Integer; var CanClose: Boolean);
    procedure rPageControlEx1TabPropsExTabGetProps(Sender: TObject; TabIndex: Integer; Font: TFont; var BkColor: TColor; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TabControlExForm: TTabControlExForm;

implementation

{$R *.dfm}
uses rdlg;

procedure TTabControlExForm.FormCreate(Sender: TObject);
begin
  rPageControlEx1.AddSpaceForCloseBtn;
  rTabControlEx5.AddSpaceForCloseBtn;
end;

procedure TTabControlExForm.rPageControlEx1TabPropsExTabClose(Sender: TObject; TabIndex: Integer; var CanClose: Boolean);
var
  s: string;
begin
  s:=Trim((Sender as TrPageControlEx).ActiveTabCaption);
  CanClose:=MessageDlg(Format('Close the tab "%s"?', [s]), mtConfirmation, mbOKCancel, 0) = mrOk;
end;

procedure TTabControlExForm.rPageControlEx1TabPropsExTabGetProps(Sender: TObject; TabIndex: Integer; Font: TFont; var BkColor: TColor; var CanClose: Boolean);
begin
  if TabIndex = 0 then
    Font.Style:=[fsBold];
  CanClose:=TabIndex > 0;
end;

procedure TTabControlExForm.rTabControlEx1RightLabelAnchorClick(Sender: TObject; LinkName: string);
begin
  DlgI('Clicked on Link ' + LinkName + ' on ' + (Sender as TrHTMLLabel).Parent.Name);
end;

procedure TTabControlExForm.rTabControlEx1TabPropsExTabGetPopupMenu(Sender: TObject; TabIndex: Integer; var PopupMenu: TPopupMenu);
begin
  case TabIndex of
    1:
      PopupMenu:=PopupMenu1;
    2:
      PopupMenu:=PopupMenu2;
  end;
end;

procedure TTabControlExForm.rTabControlEx2RightButtonClick(Sender: TObject);
begin
  DlgI('Clicked on Right Button on ' + (Sender as TButton).Parent.Name);
end;

procedure TTabControlExForm.rTabControlEx5TabPropsExTabGetProps(Sender: TObject; TabIndex: Integer; Font: TFont; var BkColor: TColor; var CanClose: Boolean);
begin
  CanClose:=TabIndex > 0;
end;

end.
