unit f_rdbgrid3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, PropSaveMain, PropSaveGrids, DB, Grids,
  DBGrids, rDBGrid, DBCtrls, rHTMLLabel;

type
  TrDBGrid3 = class(TForm)
    DBNavigator1: TDBNavigator;
    gr3: TrDBGrid;
    lblInfo: TrHTMLLabel;
    PropSaveMain1: TPropSaveMain;
    rDBGridsPropSave1: TrDBGridsPropSave;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure lblInfoAnchorClick(Sender: TObject; LinkName: String);
    procedure gr3LinkClick(Sender: TObject; DataSet: TDataSet; Column: TColumn; Field: TField; Value: Variant);
  private
  public
  end;

var
  rDBGrid3: TrDBGrid3;

implementation

uses dm_data, f_main, rDBGrid_DTEdit, rdlg;
{$R *.dfm}

procedure TrDBGrid3.FormShow(Sender: TObject);
begin
  DMData.qCust.Close;
  DMData.qCust.Open;
  gr3.Resort;
end;

procedure TrDBGrid3.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  DMData.qCust.Close;
end;

procedure TrDBGrid3.lblInfoAnchorClick(Sender: TObject; LinkName: String);
begin
  ShowrDBGridEditor(gr3);
  gr3.Invalidate;
end;

procedure TrDBGrid3.gr3LinkClick(Sender: TObject; DataSet: TDataSet; Column: TColumn; Field: TField; Value: Variant);
begin
  // any action for user defined link
  DlgI2(Column.FieldName, String(Value));
end;

end.
