unit dm_data;

interface

uses
  SysUtils, Classes, WideStrings, Controls, DBXFirebird, DB, DBClient, SimpleDS,
  rDBComponents_UDB, SqlExpr;

type
  TDMData = class(TDataModule)
    Con1: TConnectionUDB;
    qProducts: TQueryUDB;
    qProductsPRODUCTID: TIntegerField;
    qProductsPRODUCTNAME: TStringField;
    qProductsCATEGORYID: TIntegerField;
    qProductsVALIDFROM: TDateField;
    qProductsDISCONTINUED: TSmallintField;
    qProductsPRICE: TSingleField;
    qProductsSTOCKLEVEL: TStringField;
    qProductsPACKAGE: TStringField;
    qProductsPICTURE: TBlobField;
    qProductsMEMO: TMemoField;
    qCfgFldLabels: TQueryUDB;
    qCfgFldLabelsFIELD_LABEL_ID: TIntegerField;
    qCfgFldLabelsTABLE_NAME: TStringField;
    qCfgFldLabelsFIELD_NAME: TStringField;
    qCfgFldLabelsDISPLAY_LABEL_EN: TStringField;
    qCfgFldLabelsDISPLAY_LABEL_CZ: TStringField;
    qCfgFldLabelsREQUIRED: TSmallintField;
    qCfgFldLabelsDISPLAY_FORMAT: TStringField;
    qCfgFldLabelsEDIT_FORMAT: TStringField;
    qCfgFldLabelsAUTO_ADDED: TSmallintField;
  private
    { Private declarations }
  public
    { Public declarations }
    function TryConnect: boolean;
  end;

var
  DMData: TDMData;

implementation

{$R *.dfm}

uses rstring, rdlg, rtool, dm_auxdata, f_products, f_categoriesedit,
  f_stockleveledit;

function TDMData.TryConnect: boolean;
begin
  Con1.Close;
  Con1.Params.Values['Database']:=GetAppDir + 'DB\DEMO.FDB';
  Con1.Open;
  Result:=Con1.Connected;
end;

end.
